#/bin/sh
mypath=${0%/*}
LANGSTR=`grep '^LanguageType = ' /ezxlocal/download/appwrite/setup/ezx_system.cfg | sed 's,^LanguageType = ,,'`
if [ "$LANGSTR" = "ru" ] || [ "$LANGSTR" = "uk" ]
	then
	export IDI_1="Новая SDL (SDL-HW-C4)"
	export IDI_2="Старая SDL (SDL-TV-Out)"
	export IDI_3="Выберите:"
	export IDI_4="Установлено!"
elif [ "$LANGSTR" = "es" ] || [ "$LANGSTR" = "es-co" ]
	then
	export IDI_1="Nuevas librerias (SDL-HW C4)"
	export IDI_2="Viejas librerias (SDL)"
	export IDI_3="Instalar:"
	export IDI_4="Instalada!!"
else
	export IDI_1="New lib (SDL-HW C4)"
	export IDI_2="Old lib (SDL)"
	export IDI_3="Install:"
	export IDI_4="Installed!!"
fi

LIBDIR1=/ezxlocal/download/mystuff/games/lib
LIBDIR2=/mmc/mmca1/games/lib

showRadio "libChanger" "$IDI_3" "$IDI_1" "$IDI_2"
ret=$?

case $ret in
	1)
		if [ -e $LIBDIR1/libSDL-1.2.so.0 -a -e $LIBDIR1/libSDL-1.2.so.0 ]
		then
			cp -f $mypath/new/libSDL-1.2.so.0 $LIBDIR1/libSDL-1.2.so.0
			cp -f $mypath/new/libSDL-1.2.so.0 $LIBDIR2/libSDL-1.2.so.0
			showMsg "libChanger" "$IDI_4" 2 
		elif [ -e $LIBDIR1/libSDL-1.2.so.0 ]
		then
			cp -f $mypath/new/libSDL-1.2.so.0 $LIBDIR1/libSDL-1.2.so.0
			showMsg "libChanger" "$IDI_4" 2 
		elif [ -e $LIBDIR2/libSDL-1.2.so.0 ]
		then		
			cp -f $mypath/new/libSDL-1.2.so.0 $LIBDIR2/libSDL-1.2.so.0
			showMsg "libChanger" "$IDI_4" 2 
		fi
		;;
	2)
		if [ -e $LIBDIR1/libSDL-1.2.so.0 -a -e $LIBDIR1/libSDL-1.2.so.0 ]
		then
			cp -f $mypath/old/libSDL-1.2.so.0 $LIBDIR1/libSDL-1.2.so.0
			cp -f $mypath/old/libSDL-1.2.so.0 $LIBDIR2/libSDL-1.2.so.0
			showMsg "libChanger" "$IDI_4" 2 
		elif [ -e $LIBDIR1/libSDL-1.2.so.0 ]
		then
			cp -f $mypath/old/libSDL-1.2.so.0 $LIBDIR1/libSDL-1.2.so.0
			showMsg "libChanger" "$IDI_4" 2 
		elif [ -e $LIBDIR2/libSDL-1.2.so.0 ]
		then		
			cp -f $mypath/old/libSDL-1.2.so.0 $LIBDIR2/libSDL-1.2.so.0
			showMsg "libChanger" "$IDI_4" 2 
		fi
		;;
	*)

		;;

esac